Bug 59336 - Allow custom components as tootips in editor
Allow custom components as tootips in editor
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Hints & Annotations
5.x
All All
: P2 (vote)
: 6.x
Assigned To: issues@editor
issues@editor
: API
Depends on: 92815
Blocks: 59327
  Show dependency treegraph
 
Reported: 2005-05-27 15:23 UTC by Martin Entlicher
Modified: 2010-03-03 22:15 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
ToolTipAnnotation patch (2.35 KB, patch)
2010-02-23 06:58 UTC, Vitezslav Stejskal
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2005-05-27 15:23:36 UTC
We have a requirement to display interactive tooltips in debugger, where the
value is expandable into inner object members.
That can not be accomplished with the current APIs, we need some way to provide
the interactive component through the Annotation.
Comment 1 Petr Nejedly 2005-05-27 15:36:54 UTC
The displaying of anotations is performed by the editor, reassigning to them for
initial evaluation. The contract of Annotation would have to be extended
compatibly and the editor would need to use that enhanced contract.

The other option would be for *editor* to provide extended Annotation contract
(an Annotation subclass), which will then be used by the modules wishing to
exploit it. This way the module would be guaranteed that the Annotation is
rendered correctly.
Comment 2 Martin Entlicher 2010-01-20 07:02:21 UTC
Please have a look at http://wiki.netbeans.org/DebuggerTooltips67 where the behavior desired by debugger is described.
Comment 3 Martin Entlicher 2010-02-18 05:35:59 UTC
We need this into 6.9...
Comment 4 Vitezslav Stejskal 2010-02-23 06:58:59 UTC
Created attachment 94419 [details]
ToolTipAnnotation patch

The requested API already exists even though its usage is far from straightforward. Please see the attached patch, which changes ToolTipAnnotation to show a custom JPanel rather than a plain text as an editor tooltip.
Comment 5 Vitezslav Stejskal 2010-02-23 07:00:45 UTC
If this is not enough please reopen and describe what else is needed. Thanks
Comment 6 Martin Entlicher 2010-02-23 07:12:22 UTC
Hmm, nice. It works. :-)
Thanks, I guess this is sufficient.
Comment 7 Martin Entlicher 2010-02-23 07:32:31 UTC
I've just found that it's not possible to move a mouse upon the tooltip component. As soon as I move the mouse, the component disappears. We need to be able to control the component UI by mouse and keyboard.
Comment 8 Vitezslav Stejskal 2010-03-02 07:15:36 UTC
It should now be possible to click inside tooltip components.
http://hg.netbeans.org/jet-main/rev/9072b53e794c
Comment 9 Quality Engineering 2010-03-02 22:08:52 UTC
Integrated into 'main-golden', will be available in build *201003030200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/6828f45b0118
User: mentlicher@netbeans.org
Log: #59327 - Interactive tooltips implemented for ObjectVariables. They are disabled though until issue #59336 is resolved.
Comment 10 Quality Engineering 2010-03-03 22:15:26 UTC
Integrated into 'main-golden', will be available in build *201003040200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9072b53e794c
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #59336: allowing tooltips to gain focus when clicked inside by mouse


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo